DOM::HTMLModElement class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::HTMLModElement Class Reference

Notice of modification to part of a document. More...

`#include <html_inline.h>`

Inheritance diagram for DOM::HTMLModElement:

[legend]
Collaboration diagram for DOM::HTMLModElement:

[legend]
List of all members.

## Public Member Functions
| HTMLModElement (const HTMLModElement &other)
| HTMLModElement (const Node &other)
HTMLModElement & | operator= (const HTMLModElement &other)
HTMLModElement & | operator= (const Node &other)
DOMString | cite () const
| A URI designating a document that describes the reason for the change.
void | setCite (const DOMString &)
| see cite
DOMString | dateTime () const
| The date and time of the change.
void | setDateTime (const DOMString &)
| see dateTime
## Protected Member Functions
| HTMLModElement (HTMLElementImpl *impl)

## Detailed Description

Notice of modification to part of a document.

See the INS and DEL element definitions in HTML 4.0.

Definition at line 363 of file html_inline.h.

## Member Function Documentation

DOMString HTMLModElement::cite | ( |  | ) | const

| A URI designating a document that describes the reason for the change. See the cite attribute definition in HTML 4.0. Definition at line 361 of file html_inline.cpp.

void HTMLModElement::setCite | ( | const DOMString & |  | ) |

| see cite Definition at line 367 of file html_inline.cpp.

DOMString HTMLModElement::dateTime | ( |  | ) | const

| The date and time of the change. See the datetime attribute definition in HTML 4.0. Definition at line 372 of file html_inline.cpp.

void HTMLModElement::setDateTime | ( | const DOMString & |  | ) |

| see dateTime Definition at line 378 of file html_inline.cpp.

The documentation for this class was generated from the following files:

- html_inline.h
- html_inline.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:38:53 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001